Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 9865016: [Chrome OS ECHO] Add cookies permission to extension and change intent disposition to inline (Closed)

Created:
6 years, 3 months ago by gauravsh
Modified:
3 weeks, 2 days ago
CC:
chromium-reviews, arv (Not doing code reviews), nkostylev+watch_chromium.org
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

[Chrome OS ECHO] Add cookies permission to extension and change intent disposition to inline In the new UX flow, we will use the inline WebIntent tab modal dialog for user consent instead of the Info Bar. Also get rid of the actual extension code since it's been moved to chromeos assets repository. BUG=chromium-os:28353, chromium-os:27854, chromium-os:28484 TEST=make sure extension loads and handles intents correctly. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=129573

Patch Set 1 #

Total comments: 2

Patch Set 2 : fix CSP #

Total comments: 2

Patch Set 3 : add todo, change disposition to inline #

Patch Set 4 : disable CSP until Google API issues are investigated #

Patch Set 5 : remove , #

Patch Set 6 : v1 + CSP + unsafe_eval #

Patch Set 7 : inline #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -34 lines) Patch
M chrome/browser/browser_resources.grd View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
D chrome/browser/resources/chromeos/offers/main.html View 1 chunk +0 lines, -3 lines 0 comments Download
D chrome/browser/resources/chromeos/offers/main.js View 1 chunk +0 lines, -20 lines 0 comments Download
M chrome/browser/resources/chromeos/offers/manifest.json View 1 2 3 4 5 6 1 chunk +19 lines, -10 lines 0 comments Download

Messages

Total messages: 23 (0 generated)
gauravsh
Jorge: Could you have a look at this extension manifest? I am having some trouble ...
6 years, 3 months ago (2012-03-27 02:46:13 UTC) #1
gauravsh
Use this URL for the extension: https://gerrit-int.chromium.org/14561 On 2012/03/27 02:46:13, gauravsh wrote: > Jorge: Could ...
6 years, 3 months ago (2012-03-27 02:52:08 UTC) #2
gauravsh
6 years, 3 months ago (2012-03-27 16:16:01 UTC) #3
Jorge Lucangeli Obes
http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json File chrome/browser/resources/chromeos/offers/manifest.json (right): http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json#newcode8 chrome/browser/resources/chromeos/offers/manifest.json:8: "content_security_policy": "script-src 'self' https://apis.google.com/js/; object-src 'self'", I think this ...
6 years, 3 months ago (2012-03-27 16:22:58 UTC) #4
gauravsh
http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json File chrome/browser/resources/chromeos/offers/manifest.json (right): http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json#newcode8 chrome/browser/resources/chromeos/offers/manifest.json:8: "content_security_policy": "script-src 'self' https://apis.google.com/js/; object-src 'self'", On 2012/03/27 16:22:58, ...
6 years, 3 months ago (2012-03-27 17:08:25 UTC) #5
Jorge Lucangeli Obes
On 2012/03/27 17:08:25, gauravsh wrote: > http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json > File chrome/browser/resources/chromeos/offers/manifest.json (right): > > http://codereview.chromium.org/9865016/diff/1/chrome/browser/resources/chromeos/offers/manifest.json#newcode8 > ...
6 years, 3 months ago (2012-03-27 17:11:24 UTC) #6
gauravsh
Jorge: Ready for another look. And review.
6 years, 3 months ago (2012-03-27 19:48:28 UTC) #7
Jorge Lucangeli Obes
https://chromiumcodereview.appspot.com/9865016/diff/2004/chrome/browser/resources/chromeos/offers/manifest.json File chrome/browser/resources/chromeos/offers/manifest.json (right): https://chromiumcodereview.appspot.com/9865016/diff/2004/chrome/browser/resources/chromeos/offers/manifest.json#newcode8 chrome/browser/resources/chromeos/offers/manifest.json:8: "content_security_policy": "default-src 'self'; script-src 'self' https://apis.google.com; frame-src 'self' https://www.googleapis.com ...
6 years, 3 months ago (2012-03-27 19:59:59 UTC) #8
gauravsh
https://chromiumcodereview.appspot.com/9865016/diff/2004/chrome/browser/resources/chromeos/offers/manifest.json File chrome/browser/resources/chromeos/offers/manifest.json (right): https://chromiumcodereview.appspot.com/9865016/diff/2004/chrome/browser/resources/chromeos/offers/manifest.json#newcode8 chrome/browser/resources/chromeos/offers/manifest.json:8: "content_security_policy": "default-src 'self'; script-src 'self' https://apis.google.com; frame-src 'self' https://www.googleapis.com ...
6 years, 3 months ago (2012-03-27 20:02:03 UTC) #9
Jorge Lucangeli Obes
OK, please CC me in the future on the CL to remove that URL from ...
6 years, 3 months ago (2012-03-27 20:06:54 UTC) #10
jimhebert
Do you want to track that TODO as part of http://code.google.com/p/chromium-os/issues/detail?id=28353 or in a separate ...
6 years, 3 months ago (2012-03-27 20:14:23 UTC) #11
Jorge Lucangeli Obes
On 2012/03/27 20:14:23, jimhebert wrote: > Do you want to track that TODO as part ...
6 years, 3 months ago (2012-03-27 20:18:12 UTC) #12
gauravsh
Added a TODO. Changed the intent dispositions to inline.
6 years, 3 months ago (2012-03-27 22:02:24 UTC) #13
gauravsh
Zel/Steven for OWNERS approval: This is a change to the ECHO extensions manifest for additional ...
6 years, 3 months ago (2012-03-27 22:03:33 UTC) #14
gauravsh
Jorge and I sat down to debug issues with loading Google APIs when CSP is ...
6 years, 3 months ago (2012-03-27 23:39:29 UTC) #15
gauravsh
For now, we decided to stay on manifest version 1 with CSP enabled (and unsafe-eval ...
6 years, 3 months ago (2012-03-28 20:42:39 UTC) #16
Jorge Lucangeli Obes
lgtm
6 years, 3 months ago (2012-03-28 21:16:05 UTC) #17
commit-bot: I haz the power
No LGTM from a valid reviewer yet. Only full committers are accepted. Even if an ...
6 years, 3 months ago (2012-03-28 21:19:34 UTC) #18
tbarzic
lgtm
6 years, 3 months ago (2012-03-28 21:46:00 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gauravsh@chromium.org/9865016/12005
6 years, 3 months ago (2012-03-28 21:47:03 UTC) #20
commit-bot: I haz the power
Try job failure for 9865016-12005 (retry) on win_rel for steps "browser_tests, installer_util_unittests". It's a second ...
6 years, 3 months ago (2012-03-29 01:13:24 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gauravsh@chromium.org/9865016/12005
6 years, 3 months ago (2012-03-29 01:15:34 UTC) #22
commit-bot: I haz the power
6 years, 3 months ago (2012-03-29 03:59:27 UTC) #23
Change committed as 129573

Powered by Google App Engine
This is Rietveld 408576698